Index: ASIO.Interop/ASIO.Interop.vcxproj
===================================================================
--- ASIO.Interop/ASIO.Interop.vcxproj	(Revision 35)
+++ ASIO.Interop/ASIO.Interop.vcxproj	(Arbeitskopie)
@@ -49,7 +49,7 @@
   </PropertyGroup>
   <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
     <PreBuildEvent>
-      <Command>$(ProjectDir)PreBuild.bat $(SolutionDir) $(Configuration)</Command>
+      <Command>"$(ProjectDir)PreBuild.bat" "$(SolutionDir)" $(Configuration)</Command>
     </PreBuildEvent>
     <ClCompile>
       <Optimization>Disabled</Optimization>
@@ -72,7 +72,7 @@
   </ItemDefinitionGroup>
   <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
     <PreBuildEvent>
-      <Command>$(ProjectDir)PreBuild.bat $(SolutionDir) $(Configuration)</Command>
+      <Command>"$(ProjectDir)PreBuild.bat" "$(SolutionDir)" $(Configuration)</Command>
     </PreBuildEvent>
     <ClCompile>
       <AdditionalIncludeDirectories>$(SolutionDir)Dependencies;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
Index: ASIO.Interop/PreBuild.bat
===================================================================
--- ASIO.Interop/PreBuild.bat	(Revision 35)
+++ ASIO.Interop/PreBuild.bat	(Arbeitskopie)
@@ -15,8 +15,8 @@
 rem // along with MediaPortal. If not, see <http://www.gnu.org/licenses/>.
 
 set ASIOSDKDIR=
-call "%1\Dependencies\SetDirectories.bat"
+call "%~1\Dependencies\SetDirectories.bat"
 
-copy "%ASIOSDKDIR%\common\asio.h" "%1\Dependencies"
+copy "%ASIOSDKDIR%\common\asio.h" "%~1\Dependencies"
 
 
Index: Dependencies/SetDirectories.bat
===================================================================
--- Dependencies/SetDirectories.bat	(Revision 35)
+++ Dependencies/SetDirectories.bat	(Arbeitskopie)
@@ -15,7 +15,7 @@
 rem // along with MediaPortal. If not, see <http://www.gnu.org/licenses/>.
 
 rem Root folder of a MediaPortal installation or build (that is the folder containing MediaPortal.exe).
-set MPDIR=C:\Program Files (x86)\Team MediaPortal\MediaPortal
+set "MPDIR=..\..\..\MediaPortal-1\mediaportal\MediaPortal.Application\bin\Release"
 
 rem Root folder of a ASIO SDK installation.
-set ASIOSDKDIR=D:\Software Archief\Development\SDK's\ASIO SDK 2.2\ASIOSDK2
\ No newline at end of file
+set "ASIOSDKDIR=..\ASIOSDK"
Index: MPE/PureAudio.xmp2
===================================================================
--- MPE/PureAudio.xmp2	(Revision 35)
+++ MPE/PureAudio.xmp2	(Arbeitskopie)
@@ -158,7 +158,7 @@
           <Revision>27644</Revision>
         </MaxVersion>
         <WarnOnly>true</WarnOnly>
-        <Message>This version of PureAudio  requires MediaPortal 1.2.0 Beta or higher!</Message>
+        <Message>This version of PureAudio requires MediaPortal 1.6.0 or higher!</Message>
         <Name>MediaPortal</Name>
       </DependencyItem>
     </Items>
@@ -195,13 +195,13 @@
       <Build>8</Build>
       <Revision>0</Revision>
     </Version>
-    <ExtensionDescription>Advanced music player.</ExtensionDescription>
+    <ExtensionDescription>High-End Music Player Plugin</ExtensionDescription>
     <VersionDescription />
     <DevelopmentStatus>Beta</DevelopmentStatus>
     <OnlineLocation>http://pureaudio-mediaportal-plugin.googlecode.com/svn/Downloads/PureAudio_0.2.8.0_Beta.mpe1</OnlineLocation>
     <ReleaseDate>2014-01-26T19:30:24</ReleaseDate>
     <Tags>audio,asio,gapless,bitperfect,replaygain</Tags>
-    <Location>D:\Development\MediaPortal\SVN\PureAudio\Downloads\PureAudio_0.2.8.0_Beta.mpe1</Location>
+    <Location>..\Bin\Release\PureAudio_0.2.8.0_Beta.mpe1</Location>
     <Params>
       <Items>
         <SectionParam Name="Icon">
@@ -262,7 +262,7 @@
   <ProjectSettings>
     <FolderGroups />
     <ProjectFilename>PureAudio.xmp2</ProjectFilename>
-    <UpdatePath1>D:\Development\MediaPortal\SVN\PureAudio\trunk\MPE\update.xml</UpdatePath1>
+    <UpdatePath1>.\update.xml</UpdatePath1>
     <UpdatePath2 />
     <UpdatePath3 />
   </ProjectSettings>
Index: PureAudio/PostBuild.bat
===================================================================
--- PureAudio/PostBuild.bat	(Revision 35)
+++ PureAudio/PostBuild.bat	(Arbeitskopie)
@@ -20,9 +20,9 @@
 rem -------------------------------------------------------------------------------------------------------
 
 set MPDIR=
-call "%1\Dependencies\SetDirectories.bat"
+call "%~1\Dependencies\SetDirectories.bat"
 
-copy "%1\Bin\%2\PureAudio.dll" "%MPDIR%\plugins\ExternalPlayers"
-copy "%1\Bin\%2\ASIO.Interop.dll" "%MPDIR%\plugins\ExternalPlayers"
-copy "%1\Bin\%2\WMPEffects.Interop.dll" "%MPDIR%\plugins\ExternalPlayers"
+copy "%~1\Bin\%2\PureAudio.dll" "%MPDIR%\plugins\ExternalPlayers"
+copy "%~1\Bin\%2\ASIO.Interop.dll" "%MPDIR%\plugins\ExternalPlayers"
+copy "%~1\Bin\%2\WMPEffects.Interop.dll" "%MPDIR%\plugins\ExternalPlayers"
 
Index: PureAudio/PreBuild.bat
===================================================================
--- PureAudio/PreBuild.bat	(Revision 35)
+++ PureAudio/PreBuild.bat	(Arbeitskopie)
@@ -19,10 +19,10 @@
 rem ------------------------------------------------------------------------------------------------------
 
 set MPDIR=
-call "%1\Dependencies\SetDirectories.bat"
+call "%~1\Dependencies\SetDirectories.bat"
 
-copy "%MPDIR%\Bass.Net.dll" "%1\Dependencies"
-copy "%MPDIR%\BassRegistration.dll" "%1\Dependencies"
-copy "%MPDIR%\Core.dll" "%1\Dependencies"
-copy "%MPDIR%\Utils.dll" "%1\Dependencies"
-copy "%MPDIR%\Common.Utils.dll" "%1\Dependencies"
+copy "%MPDIR%\Bass.Net.dll" "%~1\Dependencies"
+copy "%MPDIR%\BassRegistration.dll" "%~1\Dependencies"
+copy "%MPDIR%\Core.dll" "%~1\Dependencies"
+copy "%MPDIR%\Utils.dll" "%~1\Dependencies"
+copy "%MPDIR%\Common.Utils.dll" "%~1\Dependencies"
Index: PureAudio/PureAudio.csproj
===================================================================
--- PureAudio/PureAudio.csproj	(Revision 35)
+++ PureAudio/PureAudio.csproj	(Arbeitskopie)
@@ -166,7 +166,7 @@
   </Target>
   -->
   <PropertyGroup>
-    <PostBuildEvent>$(ProjectDir)PostBuild.bat $(SolutionDir) $(ConfigurationName)</PostBuildEvent>
-    <PreBuildEvent>$(ProjectDir)PreBuild.bat $(SolutionDir) $(ConfigurationName)</PreBuildEvent>
+    <PostBuildEvent>"$(ProjectDir)PostBuild.bat" "$(SolutionDir)" $(ConfigurationName)</PostBuildEvent>
+    <PreBuildEvent>"$(ProjectDir)PreBuild.bat" "$(SolutionDir)" $(ConfigurationName)</PreBuildEvent>
   </PropertyGroup>
 </Project>
\ No newline at end of file
